<?php
# Basic directory configuration, depending on autoconfigured values.
#
# Copyright (C) 1999, 2000 The SourceForge Crew
# Copyright (C) 2000-2006 Mathieu Roy
# Copyright (C) 2014, 2016, 2017 Assaf Gordon
# Copyright (C) 2001-2011, 2013, 2017 Sylvain Beucler
# Copyright (C) 2013, 2014, 2017-2023 Ineiev
#
# This file is part of Savane.
#
# Code written before 2008-03-30 (commit 8b757b2565ff) is distributed
# under the terms of the GNU General Public license version 3 or (at your
# option) any later version; further contributions are covered by
# the GNU Affero General Public license version 3 or (at your option)
# any later version.  The license notices for the AGPL and the GPL follow.
#
# Savane is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# Savane is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Savane is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# Savane is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
$prefix = "/usr/local";
$exec_prefix = "${prefix}";
$bindir = "${exec_prefix}/bin";
$datarootdir = "/usr/local/share";
$sys_confdir = "${prefix}/etc";
$sys_localedir = "/usr/local/share/locale";
unset ($prefix, $datarootdir);
$savane_version = "3.12";
$sys_conf_file_name = '.savane.conf.php';
$sys_conf_file = null;

if (empty ($sys_confdir))
  $sys_etc_dir = '/etc';
else
  $sys_etc_dir = $sys_confdir;

$sys_etc_dir .= '/savane/';

foreach (
  [getenv ('SAVANE_CONF'), getenv ('SV_LOCAL_INC_PREFIX'), $sys_etc_dir] as $d
)
  {
    if (!$d)
      continue;
    if (!preg_match (',/$,', $d))
      $d .= '/';
    $conf_file = "$d$sys_conf_file_name";
    if (!file_exists ($conf_file) || !is_readable ($conf_file))
      continue;
    $sys_conf_file = $conf_file;
    break;
  }
unset ($conf_file);
?>
